<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:java="http://xml.apache.org/xslt/java" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" xmlns:pme="kelis.fr:prespme" exclude-result-prefixes="sc sl pme">
	<xsl:output method="xml" indent="yes" omit-xml-declaration="yes"/>
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	
	<xsl:variable name="vNbFicheOrg" select="java:com.scenari.s.fw.utils.HDouble.new()"/>
	
	<xsl:template match="pme:contenu">
		<xsl:variable name="vPathAgt">
			<xsl:value-of select="concat('@', getIdNode(..))"/>
		</xsl:variable>
		<xsl:variable name="vTitle">
			<xsl:value-of select="resultatAgent(concat($vPathAgt, '_title/fullTitleText'))"/>
		</xsl:variable>
		<xsl:variable name="vTest">
			<xsl:if test="*/pme:acces">typeacces</xsl:if>
		</xsl:variable>
		<xsl:for-each select="./sp:desc">
		<!--<xsl:for-each select="*[name()!='sl:title']">-->
			<!-- l'Ã©lÃ©ment peut etre internalisÃ© ou non -->
			<xsl:variable name="vPathAgt">
				<xsl:choose>
					<xsl:when test="@sc:refUri">
						<xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="concat('@', getIdNode(.))"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			
			<xsl:variable name="vVisibility">
				<xsl:value-of select="resultatAgent(concat($vPathAgt, '/vVisibility'))"/>
			</xsl:variable>
			
			<xsl:if test="$vVisibility = 'hidden'">
				<xsl:variable name="temp">
					<xsl:value-of select="java:hIncreaseOne($vNbFicheOrg)"/>
				</xsl:variable>
			</xsl:if>
		</xsl:for-each>
		<xsl:value-of select="java:hGet($vNbFicheOrg)"/>
	</xsl:template>
	
	<xsl:template match="*"/>
</xsl:stylesheet>
