<?xml version="1.0" encoding="UTF-8"?>

<!-- PAGE DE GARDE DE RESSOURCESET -->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" xmlns:pme="kelis.fr:prespme"  xmlns:java="http://xml.apache.org/xslt/java"  exclude-result-prefixes="sc sl pme">
	<xsl:output method="xml" indent="yes" omit-xml-declaration="yes"/>
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	<xsl:template match="pme:ressourceSet">
		
		<layout_2>
			<zone id="zone_1" y="10%" width="100%" height="10%" leading="5" scenarised="false">
				<tBlock_2col marginWidth="10%">
					<subBlock subType="left" width="5%" marginHeight="12">
						<puce_ronde_jaune/>
					</subBlock>
					<subBlock subType="content" leading="0" marginWidth="5">
						<titreBig_4>
							<xsl:choose>
								<xsl:when test="resultatAgent('//titleAgt','titleText')!=''">
									<xsl:value-of select="resultatAgent('//titleAgt','titleText')"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="resultatAgent(concat('@dico/',local-name()))"/>
								</xsl:otherwise>
							</xsl:choose>
						</titreBig_4>
					</subBlock>
				</tBlock_2col>
			</zone>
			<zone id="zone_2" zoneOrder="1" x="12.5%" y="20%" width="87.5%" height="70%" leading="0" scenarised="true">
				<xsl:for-each select="*[name()!='sl:sTitle']">				
					<xsl:variable name="vPathAgt">
						<xsl:choose>
							<xsl:when test="@sc:refUri">
								<xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="concat('@', getIdNode(.))"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:variable>
					<xsl:variable name="vTitle">
						<xsl:choose>							
							<xsl:when test="sl:sTitle"><xsl:value-of select="resultatAgent(concat($vPathAgt, '_title/titleText'))"/></xsl:when>
							<xsl:when test="boolean(resultatAgent(concat($vPathAgt, '/titleAgt')))">
								<xsl:value-of select="resultatAgent(concat($vPathAgt, '/titleAgt'), 'titleText')"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="local-name()"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:variable>
					
					<xsl:variable name="vReference">
						<xsl:value-of select="resultatAgent(concat($vPathAgt, '/referenceAgt'))"/>
					</xsl:variable>


					<tBlock_listPuce_1 >
						<subBlock subType="title" >
							<texte_1><xsl:value-of select="$vTitle"/></texte_1> <texte_2>[<xsl:value-of select="$vReference"/>]</texte_2>
						</subBlock>
					</tBlock_listPuce_1>
							
					
				</xsl:for-each>
			</zone>
				
		</layout_2>
	
	
	
		
	</xsl:template>
	<xsl:template match="*"/>
</xsl:stylesheet>
